# Log_Msg.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/Default_Constants.h"`
`#include "ace/Log_Priority.h"`
`#include "ace/os_include/os_limits.h"`
`#include "ace/Assert.h"`
`#include "ace/OS_Log_Msg_Attributes.h"`

Include dependency graph for Log_Msg.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_Log_Msg
| Provides a variable length argument message logging abstraction. More...

## Defines

#define | ACE_HEX_DUMP(X)
#define | ACE_RETURN(Y)
#define | ACE_ERROR_RETURN(X, Y)
#define | ACE_ERROR(X)
#define | ACE_DEBUG(X)
#define | ACE_ERROR_INIT(VALUE, FLAGS)
#define | ACE_ERROR_BREAK(X) { ACE_ERROR (X); break; }
#define | ACE_LOG_MSG ACE_Log_Msg::instance ()

## Detailed Description

Id
  Log_Msg.h,v 4.124 2006/01/25 19:51:22 jwillemsen Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

## Define Documentation

#define ACE_DEBUG | ( | X |  | ) |

Value:

    do { \
        int __ace_error = ACE_Log_Msg::last_error_adapter (); \
        ACE_Log_Msg *ace___ = ACE_Log_Msg::instance (); \
        ace___->conditional_set (__FILE__, __LINE__, 0, __ace_error); \
        ace___->log X; \
      } while (0)

#define ACE_ERROR | ( | X |  | ) |

Value:

    do { \
        int __ace_error = ACE_Log_Msg::last_error_adapter (); \
        ACE_Log_Msg *ace___ = ACE_Log_Msg::instance (); \
        ace___->conditional_set (__FILE__, __LINE__, -1, __ace_error); \
        ace___->log X; \
      } while (0)

#define ACE_ERROR_BREAK | ( | X |  | ) | { ACE_ERROR (X); break; }

#define ACE_ERROR_INIT | ( | VALUE,
|  | FLAGS |  | ) |

Value:

    do { \
        ACE_Log_Msg *ace___ = ACE_Log_Msg::instance (); \
        ace___->set_flags (FLAGS); ace___->op_status (VALUE); \
      } while (0)

#define ACE_ERROR_RETURN | ( | X,
|  | Y |  | ) |

Value:

    do { \
        int __ace_error = ACE_Log_Msg::last_error_adapter (); \
        ACE_Log_Msg *ace___ = ACE_Log_Msg::instance (); \
        ace___->conditional_set (__FILE__, __LINE__, Y, __ace_error); \
        ace___->log X; \
        return Y; \
      } while (0)

#define ACE_HEX_DUMP | ( | X |  | ) |

Value:

    do { \
        int __ace_error = ACE_Log_Msg::last_error_adapter (); \
        ACE_Log_Msg *ace___ = ACE_Log_Msg::instance (); \
        ace___->conditional_set (__FILE__, __LINE__, 0, __ace_error); \
        ace___->log_hexdump X; \
      } while (0)

#define ACE_LOG_MSG ACE_Log_Msg::instance ()

#define ACE_RETURN | ( | Y |  | ) |

Value:

    do { \
        int __ace_error = ACE_Log_Msg::last_error_adapter (); \
        ACE_Log_Msg *ace___ = ACE_Log_Msg::instance (); \
        ace___->set (__FILE__, __LINE__, Y, __ace_error, ace___->restart (), \
                     ace___->msg_ostream (), ace___->msg_callback ()); \
        return Y; \
      } while (0)